Bug 246403 - Review Request: mysql-proxy - A proxy for the MySQL Client/Server protocol
Review Request: mysql-proxy - A proxy for the MySQL Client/Server protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-01 18:26 EDT by Ruben Kerkhof
Modified: 2015-02-07 15:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 16:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-07-01 18:26:08 EDT
Spec URL: http://rubenkerkhof.com/packages/mysql-proxy.spec
SRPM URL: http://rubenkerkhof.com/packages/mysql-proxy-0.5.0-1.fc7.src.rpm
Description:
MySQL Proxy is a simple program that sits between your client and MySQL
server(s) that can monitor, analyze or transform their communication.
Its flexibility allows for unlimited uses, common ones include: load balancing,
failover, query analysis, query filtering and modification and many more.
Comment 1 Jason Tibbitts 2007-07-09 20:27:08 EDT
It seems that 0.5.1 is now out.  I managed to download 0.5.0 from a mirror and
will review it here; I don't see significant changes in 0.5.1 so I don't think I
need to wait for you to update before I review.

I managed to get things from http://mysql.he.net/Downloads/MySQL-Proxy/; I think
it's better to list some URL, even a mirror, rather than nothing, but that's
really up to you.

I suppose a package like this could use an init file, but I don't think it's
mandatory.

Review:
* source files match upstream:
   e1e1951d8bddfc0813aad1a3a93e63229dd9baa82833569cb44237cb769a2669
   mysql-proxy-0.5.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
X latest version is 0.5.1.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   mysql-proxy = 0.5.0-1.fc8
  =
   libevent-1.3b.so.1()(64bit)
   libglib-2.0.so.0()(64bit)
   liblua-5.1.so()(64bit)
* %check is not present; no test suite upstream.  Some basic testing shows that 
   it seems to work.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Ruben Kerkhof 2007-07-10 14:07:41 EDT
Thanks Jason, I'll build 0.5.1 for Fedora.

New Package CVS Request
=======================
Package Name: mysql-proxy 
Short Description: 
Owners: ruben@rubenkerkhof.com
Branches: F-7 FC-6 EL-4 EL-5

Comment 3 Kevin Fenzi 2007-07-10 18:50:50 EDT
cvs done.
Comment 4 Dominic Hopf 2015-02-05 10:50:30 EST
Package Change Request
======================
Package Name: mysql-proxy
New Branches: epel7
Owners: dmaphy
Comment 5 Jon Ciesla 2015-02-07 15:04:01 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.